<?php
// vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker:

/** 
* Actualiza departamento.
 *
 * PHP version 5
 *
 * @category  SIVeL
 * @package   SIVeL-pruebas
 * @author    Vladimir Támara <vtamara@pasosdeJesus.org>
 * @copyright 2006 Dominio público. Sin garantías.
 * @license   http://creativecommons.org/licenses/publicdomain/ Dominio Público. Sin garantías.
 * @version   $Id: actdep.php,v 1.15 2009/04/25 11:30:14 vtamara Exp $
 * @link      http://sivel.sf.net
*/

/** 
 * Actualiza departamento 
 */ 

require_once "ambiente.php";

$iddep = (int)$db->getOne("SELECT id FROM departamento LIMIT 1;");
$na = (int)$db->getOne("SELECT COUNT(nombre) FROM departamento WHERE " .
    "id = '$iddep';");
if ($na!= 1) {
    echo 'No hay un departamento con id = $iddep';
    exit(1);
}

$_REQUEST['tabla'] = $_GET['tabla'] = 'departamento';
$_REQUEST['_qf__dataobjects_departamento'] = '';
$_POST['_qf__dataobjects_departamento'] = '';
$_REQUEST['id'] = $_POST['id'] = "$iddep";
$_REQUEST['nombre'] = $_POST['nombre'] = 'y';
$_REQUEST['actualizar'] = $_POST['actualizar'] = 'Actualizar';
$_SERVER['REQUEST_URI'] = '127.0.0.1';

$_REQUEST['evita_csrf'] = $_SESSION['sin_csrf'] = $_POST['evita_csrf'] = 1234;


require_once "../detalle.php";

/* Verificando */
$db->query("SELECT COUNT(nombre) FROM departamento;");
$nd = $db->getOne("SELECT nombre FROM departamento WHERE id = '$iddep';");
echo "nd = $nd\n";

if ($nd!= 'y') {
    echo "No actualizó";
    exit(1);
}
exit(0);
?>
